KNOCKPY(1)

NAME
knockpy - Python3 tool designed to enumerate subdomains on a target domain

DESCRIPTION
usage: KNOCKPY [-h] [-d DOMAIN] [-f FILE] [-v] [--dns DNS]

    [--useragent USERAGENT] [--timeout TIMEOUT] [--threads THREADS] [--recon] [--bruteforce] [--wordlist WORDLIST] [--wildcard] [--json] [--save FOLDER] [--report REPORT] [--silent]

knockpy v.7.0.2 - Subdomain Scan https://github.com/guelfoweb/knock

  options:

-h, --help
    show this help message and exit

-d DOMAIN, --domain DOMAIN
    Domain to analyze.

-f FILE, --file FILE
    Path to a file containing a list of domains.

-v, --version
    show program's version number and exit

--dns DNS
    Custom DNS server.

--useragent USERAGENT
    Custom User-Agent string.

--timeout TIMEOUT
    Custom timeout in seconds.

--threads THREADS
    Number of threads to use.

--recon
    Enable subdomain reconnaissance.

--bruteforce
    Enable subdomain brute-forcing.

--wordlist WORDLIST
    Path to a wordlist file (required for --bruteforce).

--wildcard
    Test for wildcard DNS and exit.

--json
    Output results in JSON format.

--save FOLDER
    Directory to save the report.

--report REPORT
    Display a saved report.

--silent
    Suppress progress bar output.